## ros-lunar-ml-classifiers 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ml_classifiers)

add_definitions(-std=c++11)

find_package(catkin REQUIRED
  COMPONENTS
  message_generation
  std_msgs
  roscpp
  pluginlib
  roslint
)

find_package(Eigen3 REQUIRED)

set(Eigen3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIRS})

add_message_files(FILES
  ClassDataPoint.msg
  DIRECTORY msg
)

add_service_files(FILES
  AddClassData.srv
  ClassifyData.srv
  ClearClassifier.srv
  CreateClassifier.srv
  LoadClassifier.srv
  SaveClassifier.srv
  TrainClassifier.srv
  DIRECTORY srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  DEPENDS Eigen3
  CATKIN_DEPENDS message_runtime std_msgs roscpp pluginlib 
  INCLUDE_DIRS include
  LIBRARIES ZeroClassifier NearestNeighborClassifier SVMClassifier
)

add_definitions(${EIGEN3_DEFINITIONS})

include_directories(
  include
  src
  ${EIGEN3_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(ZeroClassifier src/zero_classifier.cpp) 
add_library(NearestNeighborClassifier src/nearest_neighbor_classifier.cpp)
add_library(SVMClassifier src/svm_classifier.cpp src/libsvm-3.14/svm.cpp)
add_executable(classifier_server nodes/classifier_server.cpp)
target_link_libraries(classifier_server ${catkin_LIBRARIES})
add_dependencies(classifier_server ${PROJECT_NAME}_generate_messages_cpp)

roslint_cpp(
  include/ml_classifiers/classifier.h
  include/ml_classifiers/nearest_neighbor_classifier.h
  include/ml_classifiers/svm_classifier.h
  include/ml_classifiers/zero_classifier.h
  nodes/classifier_server.cpp
  src/nearest_neighbor_classifier.cpp
  src/svm_classifier.cpp
  src/zero_classifier.cpp
)

install(TARGETS classifier_server ZeroClassifier NearestNeighborClassifier SVMClassifier
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

=== debian/changelog ===
ros-lunar-ml-classifiers (0.4.1-0xenial) xenial; urgency=high

  * Replacing typedefs with aliases.
  * Add run_tests hook for roslint.
  * Adding C++11 specifier.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 21 Mar 2019 05:00:00 -0000

ros-lunar-ml-classifiers (0.4.0-0xenial) xenial; urgency=high

  * Updating URLs in package.xml.
  * Updating README and package.xml with new data.
  * Merge pull request #1 <https://github.com/astuff/ml_classifiers/issues/1> from sniekum/master
    Merging from upstream before taking ownership.
  * CI: Adding CircleCI tests.
  * Replacing createClassInstance with createInstance in pluginlib.
  * Merge pull request #7 <https://github.com/astuff/ml_classifiers/issues/7> from astuff/melodic-devel
    Melodic fixes.
  * Fixed compilation problems in Melodic.
  * Fixing CMakeLists.txt and updating package.xml to version 2.
  * Merge pull request #6 <https://github.com/astuff/ml_classifiers/issues/6> from wkentaro/migration-to-jade
    [ml_classifers] eigen -> Eigen3 in CMakeLists.txt
    See: http://wiki.ros.org/jade/Migration#Eigen_CMake_Module_in_cmake_modules
  * Merge pull request #3 <https://github.com/astuff/ml_classifiers/issues/3> from jolting/indigo-devel
    Fix build for Indigo
  * Contributors: Joshua Whitley, Kentaro Wada, Scott Niekum

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 26 Feb 2019 06:00:00 -0000

ros-lunar-ml-classifiers (0.3.1-0xenial) xenial; urgency=high

  * Fix build for indigo
  * Merge pull request #2 <https://github.com/sniekum/ml_classifiers/issues/2> from davetcoleman/rospack_dep
    Missing dep on rosdep
  * Missing dep on rosdep
  * updated version number
  * Merge pull request #1 <https://github.com/sniekum/ml_classifiers/issues/1> from k-okada/hydro
    upgrade to hydro
  * upgrade to hydro
  * added rosdep eigen
  * removed eigen rosdep
  * updated version
  * fixed rosdep
  * Switched linear kernel to RBF
  * Moved to github
  * Contributors: Dave Coleman, Hunter Laux, Kei Okada, Scott Niekum, sniekum

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Mon, 15 Sep 2014 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-ml-classifiers
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-roslint, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/ml_classifiers
Standards-Version: 3.9.2

Package: ros-lunar-ml-classifiers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-lunar-message-runtime, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-std-msgs
Description: ml_classifiers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-ml-classifiers//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
